File: REQUIREMENTS

package info (click to toggle)
monitoring-plugins 2.2-6
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 9,788 kB
  • sloc: ansic: 60,015; sh: 13,872; perl: 6,291; makefile: 477
file content (95 lines) | stat: -rw-r--r-- 3,273 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
Monitoring Plugins Requirements
--------------------------

Some plugins require that you have additional programs and/or
libraries installed on your system before they can be used.  Plugins
that are dependent on other programs/libraries that are missing are
usually not compiled.  Requirements for various plugins are listed
below...

check_ldaps, check_http --ssl, check_tcp --ssl, check_smtp --starttls
	- Requires openssl or gnutls libraries for SSL connections
	  http://www.openssl.org, http://www.gnu.org/software/gnutls

check_fping:
	- Requires the fping utility distributed with SATAN.  Either
	  download and install SATAN or grab the fping program from
	  http://www.fping.com/
		RPM: http://rpmfind.net/linux/rpm2html/search.php?query=fping
	  Note that the fping command must be setuid root to function.

check_game:
	- Requires the qstat utility available from
	  http://sourceforge.net/projects/qstat/
	  Last tested on qstat 2.3d BETA

check_hpjd:
	- Requires the NET-SNMP package available from
	  http://net-snmp.sourceforge.net/
	  The snmpget binary is all that is required.

check_ldap:
	- Requires the LDAP libraries available from
	  http://www.openldap.org/
		Lib: libldap, liblber
		Redhat Source: openldap-1.2.9-6.i386.rpm, openldap-devel-1.2.9-6.i386.rpm

check_mysql, check_mysql_query:
	- Requires the MySQL libraries available from
	  http://dev.mysql.com/downloads/
		Lib: libmysql, libmysqlclient
		Redhat Source (RHEL6, YUM): mysql-devel, mysql-libs
	  Must have mysql_config in PATH or specified with --with-mysql=DIR for DIR/bin/mysql_config

check_pqsql:
	- Requires the PostgreSQL libraries available from
	  http://www.postgresql.org/

check_dbi:
	- Requires the DBI libraries available from
	  http://libdbi.sourceforge.net/

check_radius:
	- Requires the radcli library available from:
	  http://radcli.github.io/radcli/
	- As an alternative, the FreeRADIUS Client library may be used:
	  http://freeradius.org/freeradius-client/
	- As another alternative, the radiusclient-ng library may be used:
	  http://sourceforge.net/projects/radiusclient-ng.berlios/
	- This plugin also works with the original radiusclient library from
	  ftp://ftp.cityline.net/pub/radiusclient/
		RPM (rpmfind): radiusclient 0.3.2, radiusclient-devel-0.3.2
	  However, you probably want to use either radcli or the FreeRADIUS
	  Client library, as both radiusclient and radiusclient-ng are
	  unmaintained and have known issues.

check_snmp:
	- Requires the NET-SNMP package available from
	  http://net-snmp.sourceforge.net/

check_ifstatus/check_ifoperstatus
	- Requires Net::SNMP perl module
	  http://www.perl.com/CPAN/modules/by-authors/id/D/DT/DTOWN/

check_nwstat:
	- Requires MRTGEXT NLM for Novell Servers
	  http://forge.novell.com/modules/xfmod/project/?mrtgext

check_nt:
	- Requires NSClient to run on the NT server to monitor
	  http://nsclient.ready2run.nl/

check_ups:
	- Requires Network UPS Tools (>= 1.4) to run on the server to monitor
	  http://www.networkupstools.org/

check_ide_smart:
	- Uses the Linux specific SMART interface [http://smartlinux.sourceforge.net/smart/index.php]. 

OS Specific Issues
------------------

HP-UX 11.11
You need to use the version of gcc provided by HP at version 3.3.3.
Also, you need GNU make 3.8